Mailrelay API Reference

Get a single media file

GET https://{account}/api/v1/media_files/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get a single media file

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
media_folder_id integer Media folder
url string Url
thumb_url string Thumb url
media_file_name string Filename
media_content_type string File content type
media_file_size integer File size
width integer Width
height integer Height
created_at string Created at
updated_at string Updated at